Subject: RE: What is the length of the Link-Local prefix?

From: "Chirayu Patel" <[email-masked]>
Date: Wed, 3 Sep 2003 17:11:33 +0530

Does it not seem like wastage of space? fe80::/64 can be used both for
distinguishing link-locals, and in "concrete instances". As I see it, at
present there is no official way to regulate, and allocate the "54" bits. 

The next version of RFC 3513 can be more explicit in this regards.

CP

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of Francis Dupont
> Sent: Thursday, August 28, 2003 2:30 PM
> To: Chirayu Patel
> Cc: [email-masked]; 'Derek Fawcus'; 'Joshua Graessley'
> Subject: Re: What is the length of the Link-Local prefix?
> 
>  In your previous mail you wrote:
> 
>    If the next 54 bits are always expected to be zero then the prefix should
> be
>    declared to fe80::/64, and RFC 3513 should be corrected.
> 
>    Do any of the old timers have a take on this one? Jim, Keith, Tony,
> Brian.....
>    anyone? :-)
> 
> => there is a semantic problem:
>  - if the question is how to distinguish link-locals using a prefix
>    notation, the answer is fe80::/10.
>  - if the question is what kind of link-local prefixes should be used,
>    for instance in routing tables (i.e., in concrete instances), then
>    the answer is fe80::/64 and in general with a zone id (aka scope id)
>    constraint, i.e., fe80::/64%<link-id>.
> 
> Regards
> 
> [email-masked]
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------